Bug 971139 - [abrt] BUG: soft lockup - CPU#3 stuck for 27s! [mc:39870]
[abrt] BUG: soft lockup - CPU#3 stuck for 27s! [mc:39870]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:bfd061330e15c87fff0289aedbe...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 15:17 EDT by Nikola
Modified: 2013-06-29 14:34 EDT (History)
5 users (show)

See Also:
Fixed In Version: kernel-3.9.6-301.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-29 14:34:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (111.06 KB, text/plain)
2013-06-05 15:17 EDT, Nikola
no flags Details

  None (edit)
Description Nikola 2013-06-05 15:17:26 EDT
Additional info:
reporter:       libreport-2.1.4
BUG: soft lockup - CPU#3 stuck for 27s! [mc:39870]
[sched_delayed] sched: RT throttling activated
Modules linked in: tcp_lp ebtable_nat fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle bnep bluetooth rfkill nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables snd_ens1371 gameport ppdev snd_rawmidi snd_ac97_codec coretemp ac97_bus crc32c_intel snd_seq snd_seq_device vmw_balloon microcode snd_pcm joydev snd_page_alloc snd_timer snd soundcore vmw_vmci e1000 i2c_piix4 parport_pc parport shpchp uinput binfmt_misc vmwgfx ttm mptspi scsi_transport_spi drm mptscsih mptbase i2c_core
CPU 3 
Pid: 39870, comm: mc Not tainted 3.9.4-301.fc19.x86_64 #1 VMware, Inc. VMware Virtual Platform/440BX Desktop Reference Platform
RIP: 0010:[<ffffffff812fcd02>]  [<ffffffff812fcd02>] copy_user_generic_unrolled+0x32/0xc0
RSP: 0018:ffff88019d931ce8  EFLAGS: 00010202
RAX: ffff88019d931fd8 RBX: ffff8801b86d0000 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffff880171eba000 RDI: 00007fff7b004df0
RBP: ffff88019d931d28 R08: ffffea0005c7ae80 R09: ffff88018e0291c0
R10: 000000000000002a R11: 0000000000000246 R12: ffff88019d931fd8
R13: ffff880100000000 R14: ffff8801b86d07c8 R15: ffff88003718cdf0
FS:  00007f72e352f840(0000) GS:ffff8801c8a60000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f4a960ba720 CR3: 0000000192337000 CR4: 00000000000007e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process mc (pid: 39870, threadinfo ffff88019d930000, task ffff8801b86d0000)
Stack:
 ffffffff8112e9e3 ffff88019d931d28 000010008112f29d ffff8801925c4450
 00000000000095a8 0000000000001000 ffff88019d96a800 ffffea0005c7ae80
 ffff88019d931df0 ffffffff81130a37 ffff88019d96a810 ffff88019d931e00
Call Trace:
 [<ffffffff8112e9e3>] ? file_read_actor+0xb3/0x180
 [<ffffffff81130a37>] generic_file_aio_read+0x2d7/0x720
 [<ffffffff81199400>] do_sync_read+0xa0/0xe0
 [<ffffffff81199892>] ? rw_verify_area+0x52/0xd0
 [<ffffffff811999ac>] vfs_read+0x9c/0x170
 [<ffffffff81199d79>] sys_read+0x49/0xa0
 [<ffffffff810dc966>] ? __audit_syscall_exit+0x1f6/0x2a0
 [<ffffffff8164e219>] system_call_fastpath+0x16/0x1b
Code: 82 8c 00 00 00 89 f9 83 e1 07 74 15 83 e9 08 f7 d9 29 ca 8a 06 88 07 48 ff c6 48 ff c7 ff c9 75 f2 89 d1 83 e2 3f c1 e9 06 74 4a <4c> 8b 06 4c 8b 4e 08 4c 8b 56 10 4c 8b 5e 18 4c 89 07 4c 89 4f 

Potential duplicate: bug 868731
Comment 1 Nikola 2013-06-05 15:17:32 EDT
Created attachment 757344 [details]
File: dmesg
Comment 2 Dave Jones 2013-06-11 15:59:24 EDT
I just committed a patch that will automatically disable the softlockup detector for virtual machines.
Comment 3 Fedora Update System 2013-06-17 13:22:02 EDT
kernel-3.9.6-301.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.9.6-301.fc19
Comment 4 Fedora Update System 2013-06-18 15:39:11 EDT
Package kernel-3.9.6-301.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.9.6-301.fc19'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11140/kernel-3.9.6-301.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-06-29 14:34:38 EDT
kernel-3.9.6-301.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.